summaryrefslogtreecommitdiffstats
path: root/academic/SU2
diff options
context:
space:
mode:
author Judah Milgram2023-07-08 04:18:36 +0200
committer Willy Sudiarto Raharjo2023-07-08 04:18:36 +0200
commit9209a139f90cb190e316e10cde7a6dd05c246069 (patch)
tree4a22290fb1e3b0653f33980be0adbd2a6e030da5 /academic/SU2
parent0f276ba37ba77fe3800d9c153304fee46125d9cc (diff)
downloadslackbuilds-9209a139f90cb190e316e10cde7a6dd05c246069.tar.gz
academic/SU2: Updated for version 7.5.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/SU2')
-rw-r--r--academic/SU2/README24
-rw-r--r--academic/SU2/SU2.SlackBuild44
-rw-r--r--academic/SU2/SU2.info10
-rw-r--r--academic/SU2/slack-desc2
4 files changed, 35 insertions, 45 deletions
diff --git a/academic/SU2/README b/academic/SU2/README
index fd4519ee57..69151c957e 100644
--- a/academic/SU2/README
+++ b/academic/SU2/README
@@ -8,12 +8,22 @@ flow, elasticity, electrodynamics, chemically-reacting flows, and many
others. Under active development by individuals all around the world
on GitHub and is released under an open-source license.
-Builds parallel version by default.
-For serial version, delete the following configuration lines from
-su2.Slackbuild script:
+Optional dependencies: mpich or openmpi; OpenBLAS
---enable-mpi
---with-cxx=/usr/bin/mpicxx
---with-cc=/usr/bin/mpicc
+Build options can be controlled by passing MESONOPTS to the SlackBuild
+script.
-and then no need for mpich / openmpi.
+Builds parallel version by default if mpich or openmpi installed. If
+mpich, use:
+
+MESONOPTS="-Dcustom-mpi=true -Dextra-deps=mpich"
+
+For OpenBlas, add "-Denable-openblas=true"
+
+See the docs for a complete list of options.
+
+Following installation, add these to your ~/.bashrc:
+
+export SU2_RUN=/usr/bin
+export PATH=$PATH:$SU2_RUN
+export PYTHONPATH=$PYTHONPATH:$SU2_RUN
diff --git a/academic/SU2/SU2.SlackBuild b/academic/SU2/SU2.SlackBuild
index 69f27f0f98..60fe3cd784 100644
--- a/academic/SU2/SU2.SlackBuild
+++ b/academic/SU2/SU2.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for SU2
#
-# Copyright 2019 Judah Milgram, Washington DC USA
+# Copyright 2019-2023 Judah Milgram, Washington DC USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,16 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# 20220324 bkw: Modified by SlackBuilds.org: mark as unsupported
-# on 32-bit, since it won't compile and it's a non-trivial fix. The
-# maintainer of this script is welcome to fix the 32-bit build, but
-# the SBo admins won't.
-
-
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=SU2
-VERSION=${VERSION:-6.2.0}
+VERSION=${VERSION:-7.5.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -44,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -85,33 +76,22 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-./bootstrap
-
-# For serial version, delete --enable-mpi, --with-cxx, and --with-cc
+CXXFLAGS="-march=native -funroll-loops -O2" \
+ ./meson.py build --prefix=/usr ${MESONOPTS}
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux \
- --enable-mpi \
- --with-cxx=/usr/bin/mpicxx \
- --with-cc=/usr/bin/mpicc
+# This fix build on current
+sed -i '/#pragma once/a #include <cstdint>' SU2_CFD/include/output/filewriter/CParaviewXMLFileWriter.hpp
-make
-make install-strip DESTDIR=$PKG
+DESTDIR=$PKG ./ninja -C build install
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | \
+ grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
-COPYING INSTALL README.md \
+AUTHORS.md COPYING LICENSE.md README.md \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/academic/SU2/SU2.info b/academic/SU2/SU2.info
index f19f0bc9f0..6350ae105f 100644
--- a/academic/SU2/SU2.info
+++ b/academic/SU2/SU2.info
@@ -1,10 +1,10 @@
PRGNAM="SU2"
-VERSION="6.2.0"
+VERSION="7.5.1"
HOMEPAGE="https://su2code.github.io/docs/home/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://github.com/su2code/SU2/archive/v6.2.0/SU2-6.2.0.tar.gz"
-MD5SUM_x86_64="c74d1dbe52d6239c4f9c75cbd3102a90"
-REQUIRES="mpich"
+DOWNLOAD_x86_64="https://github.com/su2code/SU2/archive/v7.5.1/SU2-7.5.1.tar.gz"
+MD5SUM_x86_64="7a9696af3496079dd5df501620e477cb"
+REQUIRES=""
MAINTAINER="Judah Milgram"
-EMAIL="milgram@cgpp.com"
+EMAIL="milgram / cgpp / com"
diff --git a/academic/SU2/slack-desc b/academic/SU2/slack-desc
index 67f9c3b830..cbc26417e8 100644
--- a/academic/SU2/slack-desc
+++ b/academic/SU2/slack-desc
@@ -16,4 +16,4 @@ SU2: flow, elasticity, electrodynamics, chemically-reacting flows, and many
SU2: others. Under active development by individuals all around the world
SU2: on GitHub and is released under an open-source license.
SU2:
-SU2: Home page: https://su2code.github.io/docs/home/
+SU2: Home page: https://su2code.github.io